Android Support

Compatible with  IntelliJ IDEA
12.07.2009
19 374
Supports development of Open Handset Alliance Android applications with IntelliJ IDEA It works with Android SDK 1.5 and with earlier versions

Features:

  • Run and debug Android applications on both the emulator and the real device
  • Run Android Activity with one click or shortcut
  • Completion, navigation and validation inside the AndroidManifest.xml, layouts, animations, and other resources
  • Move string literal from Java code to the strings.xml file
  • Quick Fix for adding resources for unresolved reference
  • Navigation between code and resources
  • AIDL syntax highlighting

Download plugin

25.08.2016
Create a model,It's file dir:/Users/allonli/Documents/workspace/android/graph/graph_sdk/src/main/java/com.baidu.graph.sdk/data/requests/HttpRequestQueue.kt. In path "com.baidu.graph.sdk" Should be "com/baidu/graph/sdk" Multi-level directory Rather than only one level.
25.08.2016
Create a model,It's file dir:/Users/allonli/Documents/workspace/android/graph/graph_sdk/src/main/java/com.baidu.graph.sdk/data/requests/HttpRequestQueue.kt. In path "com.baidu.graph.sdk" Should be "com/baidu/graph/sdk" Multi-level directory Rather than only one level.
23.04.2012
This is a very old version of the source code. Up-to-date version of the source code is included in the IntelliJ IDEA Community Edition repository.
23.04.2012
Using IntelliJ 11 community version which is bundled with this plugin. Trying to inspect the source and re-build, but get so many errors building. Is the source up-to-date? I really would love to have the source.
Thanks,
kkashi01@gmail.com
11.03.2012
i love it only thing is when i create a new android project no res/drawable folders are created what do i have to do to get the to automatically create it just makes it easier to drag and drop rather then have to make the folder first the add the content
01.01.2012
The mechanics all seem to work, but without a GUI designer interface I don't think you could really use this to build a complete app.
Anonymous
17.04.2011
I got the emulator running successfully but nothing displays on when select devices to deploy.

I use Intellij Idea 9 Ultimate & lastest android SDK.
Anonymous
27.07.2010
Please upgrade with 2.1!
If you can add an Ui viewer it will be perfect!!!
Anonymous
09.06.2010
For the people who did not feel obligated to actually look here is what they said 'This version of the plugin is for IntelliJ IDEA 8. Since IntelliJ IDEA 9, the plugin is bundled with the distribution. It's only available in the Ultimate edition, and we don't currently have any plans to bundle it with the Community Edition.' I would venture a guess and say they are not updating to 2.1 so if you want it, buy it.
Anonymous
02.06.2010
Request for android 2.1, I'd love to switch from eclipse
Anonymous
14.05.2010
need 2.1, please
13.05.2010
Please add Android 2.1 support
04.05.2010
This version of the plugin is for IntelliJ IDEA 8. Since IntelliJ IDEA 9, the plugin is bundled with the distribution. It's only available in the Ultimate edition, and we don't currently have any plans to bundle it with the Community Edition.
Anonymous
30.04.2010
Does this plugin work with the Community Edition?

If not, why?

I used Intellij in my last job and loved it. I like the community edition as it stands now, but I realllllly don't like using Eclipse.

It would be greatly appreciated if this plugin was updated to work with CE.
29.04.2010
Another request for Android 2.1
Please  sign in  to leave a comment.